#!/usr/bin/perl
 
use strict;
use warnings;
 
use inc::MyBuilder;
use File::Spec::Functions;
 
my %requires = (
	perl => '5.8.0',
	'Gtk2' => 1.120,
	'Glib' => 0,
	'File::Spec::Functions' => 0,
	'File::Copy' => 0,
	'File::Basename' => 0,
	'FindBin' => 0,
	#'XML::Simple' => 0,
	'XML::Twig' => 0,
	);
 
my %configure_requires = (
	'File::Spec::Functions' => 0,
	);

my $build = inc::MyBuilder->new
	(
	gtk2_version => '2.14.5',	# (was 2.16.0) My subclass inc::MyBuilder grabs this and checks it
	module_name => 'App::XGamer',	# All the regular args...
	license     => 'gpl',
	dist_author => 'Michael Green <abc.mikey@googlemail.com>',
	dist_version => '0.3.0',
	script_file => [ catfile('bin', 'xgamer') ],
	requires => \%requires,
	configure_requires => \%configure_requires,
	build_requires => {%configure_requires},
	meta_merge => {
		resources => {
			homepage => 'http://sourceforge.net/projects/xgamer/',
			bugtracker => 'http://sourceforge.net/tracker/?atid=1218400&group_id=287599&func=browse',
			repository => 'http://sourceforge.net/projects/xgamer/files/',
			}
		}
);
$build->create_build_script;
